# Chronos-Etu

## Overview

UI Widget for navigation, selecting and playing back time

## NPM
```sh
npm install --save chronos-etu
```

### Basic Usage
```typescript
  import { TimeSlider } from 'chronos-etu';

  const container = document.getElementById("container");
  const ts = new TimeSlider(container.clientWidth, 150, "2022-02-01T13:56:19Z", "2023-02-01T13:56:19Z")
  ts.on('appready', () => {
    container.appendChild(ts.view());
  });
```

## Built With

* [Pixi.js](http://pixijs.download/release/docs/index.html) - The HTML5 Creation Engine
* [Redux](https://redux.js.org/introduction/getting-started) - A state container for Javascript apps
* [TypeScript](https://www.typescriptlang.org/docs/home.html) - Strictly typed version of Javascript

[nodejs]: https://nodejs.org/
[npm]: https://npmjs.com/

## License

This sample is licensed under the terms of the **CC BY-NC-ND 4.0**. Please see the [LICENSE](LICENSE) file for full details.